View Issue Details

IDProjectCategoryView StatusLast Update
0008310VCOMPONENT-VKERNELSQL Functionspublic2018-09-26 08:17
ReporterIvan SmahinAssigned ToIvan Smahin 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version8.6.xFixed in Version8.6.x 
Summary0008310: json_extract_path() crashes
DescriptionReported by Scott Roberts
https://www.valentina-db.com/en/discussions/4846-json-functions-question
Steps To Reproduceanytime I attempt to use the json_extract_path function, Valentina Studio crashes. For example:


print json_extract_path(v_json,"date_time");
TagsNo tags attached.

Activities

Scott Roberts

Scott Roberts

2018-09-22 17:07

reporter   ~0010474

I'm still having an issue with json_extract_path. It is causing Valentina Studio to crash.

Today, I attempted the following in the SQL Editor. The json_build_object() function produces a string, but attempting to extract a value from that string causes a crash. The code I used for testing is:

BEGIN
    DECLARE v_json STRING;
    SET v_json = json_build_object('frequency','every','days_until_next_date',15);
    PRINT v_json;
    
    DECLARE v_days_until_next_date INT;
    SET v_days_until_next_date = json_extract_path(v_json, 'days_until_next_date');
    PRINT v_days_until_next_date;
END
Ivan Smahin

Ivan Smahin

2018-09-24 05:01

developer   ~0010475

vStudio v.8.5.5, Mac - no crash, works properly.
Scott Roberts

Scott Roberts

2018-09-24 13:25

reporter   ~0010476

I tried running this code again this morning and it crashed. I have attached a file with the crash report.
Scott Roberts

Scott Roberts

2018-09-24 13:25

reporter  

JSON Crash.txt (91,337 bytes)
Ivan Smahin

Ivan Smahin

2018-09-25 07:15

developer   ~0010477

It happens in release build only.

Issue History

Date Modified Username Field Change
2018-07-14 11:34 Ivan Smahin New Issue
2018-07-14 11:34 Ivan Smahin Status new => assigned
2018-07-14 11:34 Ivan Smahin Assigned To => Ivan Smahin
2018-07-16 07:47 Ivan Smahin Status assigned => closed
2018-07-16 07:47 Ivan Smahin Resolution open => unable to reproduce
2018-07-17 08:08 Ivan Smahin Status closed => feedback
2018-07-17 08:08 Ivan Smahin Resolution unable to reproduce => reopened
2018-07-17 08:10 Ivan Smahin Status feedback => assigned
2018-09-22 17:07 Scott Roberts Note Added: 0010474
2018-09-24 05:01 Ivan Smahin Note Added: 0010475
2018-09-24 13:25 Scott Roberts Note Added: 0010476
2018-09-24 13:25 Scott Roberts File Added: JSON Crash.txt
2018-09-25 07:15 Ivan Smahin Note Added: 0010477
2018-09-25 07:15 Ivan Smahin Status assigned => confirmed
2018-09-26 08:17 Ivan Smahin Status confirmed => resolved
2018-09-26 08:17 Ivan Smahin Fixed in Version => 8.6.x
2018-09-26 08:17 Ivan Smahin Resolution reopened => fixed